<form class="{{cssClass}} tormenta20 tabbed flexcol" autocomplete="off">
	
	{{!-- Sheet Header --}}
	<header class="sheet-header flexrow" style="flex:0 0 180px">
		<img class="profile" src="{{actor.img}}" title="{{actor.name}}" data-edit="img" />
		
		<section class="header-details flexrow">
			<section class="general-information">
				<h1 class="charname">
					<input name="name" type="text" value="{{actor.name}}" data-dtype="String" placeholder="Nome" />
				</h1>
				<div class="level-information">
					<a class="level-settings"><div class="level" style="width: {{#if (lt data.attributes.nivel.value 10)}}76{{else}}87{{/if}}px;">Nível {{data.attributes.nivel.value}}</div></a>
					{{#unless disableExperience}}
					<div class="xp-tracker" title="Experiência">
							<div class="experience">
							<input class="current-xp" name="data.attributes.nivel.xp.value" type="text" value="{{data.attributes.nivel.xp.value}}" data-dtype="Number" placeholder="0" maxlength="7" />
							<span class="max-xp">{{data.attributes.nivel.xp.proximo}}</span>
						</div>
						<div class="xp-bar">
							<div class="xp-bar-total">
								<span class="xp-bar-current" style="width: {{data.attributes.nivel.xp.pct}}%"></span>
							</div>
						</div>
					</div>
					{{/unless}}
				</div>
			</section>

			{{!-- Character Summary --}}
			<ul class="attributes summary flexrow">
				<li>
					<input type="text" name="data.attributes.raca" value="{{data.attributes.raca}}" data-dtype="String" placeholder="Raça" />
				</li>
				<li>
					<input type="text" name="data.attributes.origem" value="{{data.attributes.origem}}" data-dtype="String" placeholder="Origem" />
				</li>
				<li>
					<input type="text" name="data.attributes.classe" value="{{data.attributes.classe}}" data-dtype="String" placeholder="Classe" />
				</li>
				{{#if actor.flags.mostrarDivindade}}
				<li class="flexrow">
					<input type="text" name="data.attributes.divindade" value="{{data.attributes.divindade}}" data-dtype="String" placeholder="Divindade" />
				</li>
				{{/if}}
			</ul>

			{{!-- Header Attributes --}}
			<ul class="attributes flexrow">
				<li class="attribute health">
					<h4 class="attribute-name box-title">Pontos de Vida</h4>
					<div class="attribute-value multiple">
						<input name="data.attributes.pv.value" type="number" value="{{data.attributes.pv.value}}" data-dtype="Number" max="{{data.attributes.pv.max}}" placeholder="10">
						<span class="sep">/</span>
						<input disabled name="data.attributes.pv.max" type="number" value="{{data.attributes.pv.max}}" data-dtype="Number" placeholder="10">
					</div>
					<footer class="attribute-footer">
						<input name="data.attributes.pv.temp" style="height: 20px;" title="Bônus Temporário" type="number" class="temphealth" placeholder="0" value="{{data.attributes.pv.temp}}" data-dtype="Number" />
					</footer>
				</li>
				<li class="attribute mana">
					<h4 class="attribute-name box-title">Pontos de Mana</h4>
					<div class="attribute-value multiple">
						<input name="data.attributes.pm.value" type="number" value="{{data.attributes.pm.value}}" data-dtype="Number" max="{{data.attributes.pm.max}}" placeholder="10">
						<span class="sep">/</span>
						<input disabled style="color: #191813" name="data.attributes.pm.max" type="number" value="{{data.attributes.pm.max}}" data-dtype="Number" placeholder="10">
					</div>
					<footer class="attribute-footer">
						<input name="data.attributes.pm.temp" style="height: 20px;" title="Bônus Temporário" type="number" class="temphealth" placeholder="0" value="{{data.attributes.pm.temp}}" data-dtype="Number" />
					</footer>
				</li>
				<li class="attribute">
					<h4 class="attribute-name box-title">Defesa</h4>
						<div class="attribute-value">
							<h1 style="height:auto">{{data.defesa.value}}</h1>
					</div>
					<footer class="attribute-footer">
						{{#if actor.flags.mostrarOutrosDefesa}}<input name="data.defesa.outro" title="Outros" type="number" class="temphealth" placeholder="0" value="{{data.defesa.outro}}" />{{/if}}
						<input name="data.defesa.temp" title="Bônus Temporário" type="number"  class="temphealth" placeholder="0" value="{{data.defesa.temp}}" />
					</footer>
				</li>
			</ul>
		</section>
	</header>

	{{!-- Sheet Tab Navigation --}}
	<nav class="sheet-tabs tabs" data-group="primary">
		<label><a class="item" data-tab="attributes">Atributos</a></label>
		<label><a class="item" data-tab="inventory">Inventário</a></label>
		<label><a class="item" data-tab="poderes">Poderes</a></label>
		{{#if actor.maiorCirculo}}<label><a class="item" data-tab="magias">Magias</a></label>{{/if}}
		<!-- <label><a class="item" data-tab="description">Biografia</a></label> -->
		<label><a class="item" data-tab="journal">Diário</a></label>
		<label><a class="item" data-tab="efeitos">Efeitos</a></label>
		<label style="flex:0"><a class="item" id="configure-actor" title="Configurar"><i class="fas fa-cogs"></i></a></label>
	</nav>


	{{!-- Sheet Body --}}
	<section class="sheet-body">
		{{!-- Attributes Tab --}}
		<div class="tab attributes flexrow" data-group="primary" data-tab="attributes">
			{{!-- Abilities --}}
			<ul class="ability-scores flexcol" style="height:fit-content">
				{{#each data.atributos as |atr key|}}
				<li class="ability" data-item-id="{{key}}">
					<h4 class="ability-name box-title rollable atributo-rollable">{{key}}</h4>
					<span class="rollable atributo-rollable" ><label>
						<h1 style="border: 0!important; padding:0;">{{numberFormat atr.mod decimals=0 sign=true}}</h1>
					</label>
					</span>
					<footer class="attribute-footer flexrow">
						<input style="margin-bottom: 0; border: none; background: none;" title="Base" type="number" name="data.atributos.{{key}}.value" value="{{atr.value}}" min="0" placeholder="0" />
						{{#if ../actor.flags.mostrarAtributoTemp}}<input style="margin-bottom: 0; border: none; background: none;" title="Bônus Temporário" type="number" name="data.atributos.{{key}}.temp"  value="{{atr.temp}}" placeholder="0" />{{/if}}
					</footer>
				</li>
				{{/each}}
			</ul>

			{{!-- Skills --}}

			{{> "systems/tormenta20/templates/actor/parts/actor-skills.html"}}

			<section class="center-pane">
			
				{{#if actor.favoritos}}
				<div class="favoritos">
					{{> "systems/tormenta20/templates/actor/parts/actor-favoritos.html"}}
				</div>
				{{/if}}
				<div class="outros">
					{{> "systems/tormenta20/templates/actor/parts/actor-traits.html"}}
					<textarea name="data.attributes.info" style="resize:vertical; border-image: none; border-width: 1px;" rows="10" data-dtype="String">{{data.attributes.info}}</textarea>
				</div>
				{{#if actor.referencias}}
				<div class="conditions">
					<li class="item flexrow item-header flex-center">
						<div>CONDIÇÕES ATUAIS</div>
					</li>
					{{#each actor.referencias as |item index|}}
					<div>
						<label class="tooltip">
						  <img class="invert" src="{{item.icon}}" width="36" height="36" /> {{item.label}} 
						  <i class="fas fa-question-circle"></i>
						  <div class="tooltipcontent"> <img src="{{item.icon}}" width="120" height="120" /> {{{item.tooltip}}} </div>
						</label>
					  </div>
					{{/each}}
				</div>
				{{/if}}
			</section>

		</div>

		<div class="tab poderes" data-group="primary" data-tab="poderes">
			{{> "systems/tormenta20/templates/actor/parts/actor-powers.html" sections=power}}
		</div>

		{{#if actor.maiorCirculo}}
		<div class="tab magias" data-group="primary" data-tab="magias">
			{{> "systems/tormenta20/templates/actor/parts/actor-spells.html" sections=spells}}
		</div>
		{{/if}}

		<div class="tab inventory" data-group="primary" data-tab="inventory">
			{{> "systems/tormenta20/templates/actor/parts/actor-inventory.html" sections=inventory}}
		</div>

		{{!-- Journal Tab --}}
		<div class="tab journal" data-group="primary" data-tab="journal">
			{{> "systems/tormenta20/templates/actor/parts/actor-diario.html"}}
		</div>

		{{!-- Efeitos Tab --}}
		<div class="tab efeitos" data-group="primary" data-tab="efeitos">
			{{> "systems/tormenta20/templates/actor/parts/active-effects.html"}}
		</div>

	</section>
</form>
